package de.avatic.lcc.dto.error;

import com.fasterxml.jackson.annotation.JsonProperty;
import de.avatic.lcc.dto.calculation.edit.PremiseDetailDTO;

import java.util.List;

public class CalculationJobDumpDTO {


    @JsonProperty("id")
    private Integer id;

    @JsonProperty("premise_id")
    private Integer premiseId;

    @JsonProperty("calculation_date")
    private String calculationDate;

    @JsonProperty("validity_period_id")
    private Integer validityPeriodId;

    @JsonProperty("property_set_id")
    private Integer propertySetId;

    @JsonProperty("job_state")
    private String jobState;

    @JsonProperty("error_log")
    private ErrorLogDTO errorLog;

    @JsonProperty("user_id")
    private Integer userId;


    @JsonProperty("premise")
    private PremiseDetailDTO premise;

    @JsonProperty("destinations")
    private List<CalculationJobDestinationDumpDTO> destinations;


    public List<CalculationJobDestinationDumpDTO> getDestinations() {
        return destinations;
    }

    public void setDestinations(List<CalculationJobDestinationDumpDTO> destinations) {
        this.destinations = destinations;
    }

    public PremiseDetailDTO getPremise() {
        return premise;
    }

    public void setPremise(PremiseDetailDTO premise) {
        this.premise = premise;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getPremiseId() {
        return premiseId;
    }

    public void setPremiseId(Integer premiseId) {
        this.premiseId = premiseId;
    }

    public String getCalculationDate() {
        return calculationDate;
    }

    public void setCalculationDate(String calculationDate) {
        this.calculationDate = calculationDate;
    }

    public Integer getValidityPeriodId() {
        return validityPeriodId;
    }

    public void setValidityPeriodId(Integer validityPeriodId) {
        this.validityPeriodId = validityPeriodId;
    }

    public Integer getPropertySetId() {
        return propertySetId;
    }

    public void setPropertySetId(Integer propertySetId) {
        this.propertySetId = propertySetId;
    }

    public String getJobState() {
        return jobState;
    }

    public void setJobState(String jobState) {
        this.jobState = jobState;
    }

    public ErrorLogDTO getErrorLog() {
        return errorLog;
    }

    public void setErrorLog(ErrorLogDTO errorLog) {
        this.errorLog = errorLog;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }
}
